Name:          j-ogg
Version:       0.1
Release:       %mkrel 6
Summary:       A collection of Java libraries for reading Ogg files and decoding different contained formats
Group:         Development/Java
License:       Public Domain
Url:           http://www.j-ogg.de/
Source0:       http://www.j-ogg.de/j-ogg.zip

Patch0:        j-ogg-0.1-build.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: fmj

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Jarnbjo Ogg is a collection of Java libraries for reading Ogg files and
decoding different contained formats. At the moment the support
for Vorbis and FLAC is almost complete (the library decodes all files
created by the current versions of libvorbis and libflac correctly) and
I've started working on Theora support.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n j-ogg

rm -rf build/classes/*
rm -rf build/lib/*
rm -rf docs/*

%patch0 -p0

native2ascii -encoding UTF8 jmf/src/de/jarnbjo/jmf/VorbisTrack.java jmf/src/de/jarnbjo/jmf/VorbisTrack.java

%build

cd build
ant create_jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}/%{name}
install -pm 644 build/lib/%{name}-all.jar %{buildroot}%{_javadir}/%{name}/all.jar
install -pm 644 build/lib/%{name}-flacd.jar %{buildroot}%{_javadir}/%{name}/flacd.jar
install -pm 644 build/lib/%{name}-jmfd.jar %{buildroot}%{_javadir}/%{name}/jmfd.jar
install -pm 644 build/lib/%{name}-oggd.jar %{buildroot}%{_javadir}/%{name}/oggd.jar
install -pm 644 build/lib/%{name}-theorad.jar %{buildroot}%{_javadir}/%{name}/theorad.jar
install -pm 644 build/lib/%{name}-vorbisd.jar %{buildroot}%{_javadir}/%{name}/vorbisd.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pR build/docs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/all.jar
%{_javadir}/%{name}/flacd.jar
%{_javadir}/%{name}/jmfd.jar
%{_javadir}/%{name}/oggd.jar
%{_javadir}/%{name}/theorad.jar
%{_javadir}/%{name}/vorbisd.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.1-6.mga6
+ Revision: 938299
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1-5.mga5
+ Revision: 744634
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1-4.mga5
+ Revision: 680596
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1-3.mga4
+ Revision: 517776
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 sander85 <sander85> 0.1-2.mga3
+ Revision: 378799
- Fix file encoding

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 09 2011 gil <gil> 0.1-1.mga2
+ Revision: 165710
- imported package j-ogg

